Package com.independentsoft.office.word

# Class Settings

java.lang.Object
com.independentsoft.office.word.Settings

public class Settings extends Object
The Class Settings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Settings()`
  Instantiates a new settings.
  `Settings​(byte[] buffer, Relationship relationship)`
  Instantiates a new settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Settings`
  `clone()`
  `ExtendedBoolean`
  `getAlignBordersAndEdges()`
  Gets the align borders and edges.
  `ExtendedBoolean`
  `getAlwaysMergeEmptyNamespace()`
  Gets the always merge empty namespace.
  `ExtendedBoolean`
  `getAlwaysShowPlaceholderText()`
  Gets the always show placeholder text.
  `List<AttachedCustomXmlSchema>`
  `getAttachedCustomXmlSchemas()`
  Gets the attached custom xml schemas.
  `String`
  `getAttachedTemplate()`
  Gets the attached template.
  `ExtendedBoolean`
  `getAutoFormatOverride()`
  Gets the auto format override.
  `ExtendedBoolean`
  `getAutoHyphenation()`
  Gets the auto hyphenation.
  `ExtendedBoolean`
  `getBookFoldPrinting()`
  Gets the book fold printing.
  `int`
  `getBookFoldPrintingSheets()`
  Gets the book fold printing sheets.
  `ExtendedBoolean`
  `getBordersDoNotSurroundFooter()`
  Gets the borders do not surround footer.
  `ExtendedBoolean`
  `getBordersDoNotSurroundHeader()`
  Gets the borders do not surround header.
  `CaptionSettings`
  `getCaptionSettings()`
  Gets the caption settings.
  `CharacterSpacing`
  `getCharacterSpacing()`
  Gets the character spacing.
  `String`
  `getClickAndTypeStyle()`
  Gets the click and type style.
  `CompatibilitySettings`
  `getCompatibilitySettings()`
  Gets the compatibility settings.
  `String`
  `getDecimalSymbol()`
  Gets the decimal symbol.
  `int`
  `getDefaultTab()`
  Gets the default tab.
  `String`
  `getDefaultTableStyle()`
  Gets the default table style.
  `ExtendedBoolean`
  `getDisplayBackgroundShape()`
  Gets the display background shape.
  `int`
  `getDistanceBetweenHorizontalGridlines()`
  Gets the distance between horizontal gridlines.
  `int`
  `getDistanceBetweenVerticalGridlines()`
  Gets the distance between vertical gridlines.
  `DocumentProtection`
  `getDocumentProtection()`
  Gets the document protection.
  `DocumentRevisions`
  `getDocumentRevisions()`
  Gets the document revisions.
  `DocumentType`
  `getDocumentType()`
  Gets the document type.
  `List<DocumentVariable>`
  `getDocumentVariables()`
  Gets the document variables.
  `ExtendedBoolean`
  `getDoNotAutoCompressPictures()`
  Gets the do not auto compress pictures.
  `ExtendedBoolean`
  `getDoNotDemarcateInvalidXml()`
  Gets the do not demarcate invalid xml.
  `ExtendedBoolean`
  `getDoNotDisplayPageBoundaries()`
  Gets the do not display page boundaries.
  `ExtendedBoolean`
  `getDoNotEmbedSmartTags()`
  Gets the do not embed smart tags.
  `ExtendedBoolean`
  `getDoNotHyphenateCaps()`
  Gets the do not hyphenate caps.
  `ExtendedBoolean`
  `getDoNotIncludeSubdocumentsInStatistics()`
  Gets the do not include subdocuments in statistics.
  `ExtendedBoolean`
  `getDoNotShadeFormData()`
  Gets the do not shade form data.
  `ExtendedBoolean`
  `getDoNotTrackFormatting()`
  Gets the do not track formatting.
  `ExtendedBoolean`
  `getDoNotTrackMoves()`
  Gets the do not track moves.
  `ExtendedBoolean`
  `getDoNotUseMarginsForDrawingGridOrigin()`
  Gets the do not use margins for drawing grid origin.
  `ExtendedBoolean`
  `getDoNotValidateAgainstSchema()`
  Gets the do not validate against schema.
  `int`
  `getDrawingGridHorizontalOrigin()`
  Gets the drawing grid horizontal origin.
  `int`
  `getDrawingGridHorizontalSpacing()`
  Gets the drawing grid horizontal spacing.
  `int`
  `getDrawingGridVerticalOrigin()`
  Gets the drawing grid vertical origin.
  `int`
  `getDrawingGridVerticalSpacing()`
  Gets the drawing grid vertical spacing.
  `ExtendedBoolean`
  `getEmbedSystemFonts()`
  Gets the embed system fonts.
  `ExtendedBoolean`
  `getEmbedTRUETypeFonts()`
  Gets the embed true type fonts.
  `EndnoteProperties`
  `getEndnoteProperties()`
  Gets the endnote properties.
  `ExtendedBoolean`
  `getEvenAndOddHeadersAndFooters()`
  Gets the even and odd headers and footers.
  `FootnoteProperties`
  `getFootnoteProperties()`
  Gets the footnote properties.
  `boolean`
  `getForceUpgrade()`
  Gets the force upgrade.
  `ExtendedBoolean`
  `getFormsDesign()`
  Gets the forms design.
  `ExtendedBoolean`
  `getGutterAtTop()`
  Gets the gutter at top.
  `ExtendedBoolean`
  `getHideGrammaticalErrors()`
  Gets the hide grammatical errors.
  `ExtendedBoolean`
  `getHideSpellingErrors()`
  Gets the hide spelling errors.
  `int`
  `getHyphenationZone()`
  Gets the hyphenation zone.
  `ExtendedBoolean`
  `getIgnoreMixedContent()`
  Gets the ignore mixed content.
  `ExtendedBoolean`
  `getLinkStyles()`
  Gets the link styles.
  `String`
  `getListSeparator()`
  Gets the list separator.
  `MailMergeSettings`
  `getMailMergeSettings()`
  Gets the mail merge settings.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the settings root, or `null` if absent.
  `MathProperties`
  `getMathProperties()`
  Gets the math properties.
  `int`
  `getMaxConsecutivelyHyphenatedLines()`
  Gets the max consecutively hyphenated lines.
  `ExtendedBoolean`
  `getMirrorMargins()`
  Gets the mirror margins.
  `ExtendedBoolean`
  `getNoPunctuationKerning()`
  Gets the no punctuation kerning.
  `List<RawXmlElement>`
  `getPreservedElements()`
  Gets the settings-level elements preserved verbatim for round-trip fidelity (VML drawing defaults `w:shapeDefaults`, `w:hdrShapeDefaults`, and `w14:docId` / `w15:docId` / `w15:chartTrackingRefBased`).
  `ExtendedBoolean`
  `getPrintFormsData()`
  Gets the prints the forms data.
  `ExtendedBoolean`
  `getPrintFractionalCharacterWidth()`
  Gets the prints the fractional character width.
  `ExtendedBoolean`
  `getPrintPostScriptOverText()`
  Gets the prints the post script over text.
  `ExtendedBoolean`
  `getPrintTwoPagesPerSheet()`
  Gets the prints the two pages per sheet.
  `ProofState`
  `getProofState()`
  Gets the proof state.
  `ExtendedBoolean`
  `getRemoveDateAndTime()`
  Gets the removes the date and time.
  `ExtendedBoolean`
  `getRemovePersonalInformation()`
  Gets the removes the personal information.
  `ExtendedBoolean`
  `getReverseBookFoldPrinting()`
  Gets the reverse book fold printing.
  `ExtendedBoolean`
  `getSaveFormsData()`
  Gets the save forms data.
  `ExtendedBoolean`
  `getSaveInvalidXml()`
  Gets the save invalid xml.
  `ExtendedBoolean`
  `getSavePreviewPicture()`
  Gets the save preview picture.
  `ExtendedBoolean`
  `getSaveSubsetFonts()`
  Gets the save subset fonts.
  `ExtendedBoolean`
  `getSaveXmlDataOnly()`
  Gets the save xml data only.
  `ExtendedBoolean`
  `getShowEnvelope()`
  Gets the show envelope.
  `ExtendedBoolean`
  `getShowXmlTags()`
  Gets the show xml tags.
  `List<SmartTagType>`
  `getSmartTagTypes()`
  Gets the smart tag types.
  `ExtendedBoolean`
  `getStrictFirstAndLastChars()`
  Gets the strict first and last chars.
  `ExtendedBoolean`
  `getStyleLockQFSet()`
  Gets the style lock qf set.
  `ExtendedBoolean`
  `getStyleLockTheme()`
  Gets the style lock theme.
  `String`
  `getStylePaneFormatFilter()`
  Gets the style pane format filter.
  `LinkedHashMap<String,​String>`
  `getStylePaneFormatFilterAttributes()`
  Gets the modern on/off attributes of w:stylePaneFormatFilter (keyed by local name, e.g.
  `String`
  `getStylePaneSortMethod()`
  Gets the style pane sort method.
  `int`
  `getSummaryLength()`
  Gets the summary length.
  `ThemeColorMapping`
  `getThemeColorMapping()`
  Gets the theme color mapping.
  `ThemeFontLanguage`
  `getThemeFontLanguage()`
  Gets the theme font language.
  `ExtendedBoolean`
  `getTrackRevisions()`
  Gets the track revisions.
  `ExtendedBoolean`
  `getUICompat97To2003()`
  Gets the uI compat97 to2003.
  `ExtendedBoolean`
  `getUpdateFields()`
  Gets the update fields.
  `ExtendedBoolean`
  `getUseXsltWhenSaving()`
  Gets the use xslt when saving.
  `DocumentView`
  `getView()`
  Gets the view.
  `WriteProtection`
  `getWriteProtection()`
  Gets the write protection.
  `List<WritingStyle>`
  `getWritingStyles()`
  Gets the writing styles.
  `Zoom`
  `getZoom()`
  Gets the zoom.
  `void`
  `setAlignBordersAndEdges​(ExtendedBoolean alignBordersAndEdges)`
  Sets the align borders and edges.
  `void`
  `setAlwaysMergeEmptyNamespace​(ExtendedBoolean alwaysMergeEmptyNamespace)`
  Sets the always merge empty namespace.
  `void`
  `setAlwaysShowPlaceholderText​(ExtendedBoolean alwaysShowPlaceholderText)`
  Sets the always show placeholder text.
  `void`
  `setAttachedTemplate​(String attachedTemplate)`
  Sets the attached template.
  `void`
  `setAutoFormatOverride​(ExtendedBoolean autoFormatOverride)`
  Sets the auto format override.
  `void`
  `setAutoHyphenation​(ExtendedBoolean autoHyphenation)`
  Sets the auto hyphenation.
  `void`
  `setBookFoldPrinting​(ExtendedBoolean bookFoldPrinting)`
  Sets the book fold printing.
  `void`
  `setBookFoldPrintingSheets​(int bookFoldPrintingSheets)`
  Sets the book fold printing sheets.
  `void`
  `setBordersDoNotSurroundFooter​(ExtendedBoolean bordersDoNotSurroundFooter)`
  Sets the borders do not surround footer.
  `void`
  `setBordersDoNotSurroundHeader​(ExtendedBoolean bordersDoNotSurroundHeader)`
  Sets the borders do not surround header.
  `void`
  `setCharacterSpacing​(CharacterSpacing characterSpacing)`
  Sets the character spacing.
  `void`
  `setClickAndTypeStyle​(String clickAndTypeStyle)`
  Sets the click and type style.
  `void`
  `setDecimalSymbol​(String decimalSymbol)`
  Sets the decimal symbol.
  `void`
  `setDefaultTab​(int defaultTab)`
  Sets the default tab.
  `void`
  `setDefaultTableStyle​(String defaultTableStyle)`
  Sets the default table style.
  `void`
  `setDisplayBackgroundShape​(ExtendedBoolean displayBackgroundShape)`
  Sets the display background shape.
  `void`
  `setDistanceBetweenHorizontalGridlines​(int distanceBetweenHorizontalGridlines)`
  Sets the distance between horizontal gridlines.
  `void`
  `setDistanceBetweenVerticalGridlines​(int distanceBetweenVerticalGridlines)`
  Sets the distance between vertical gridlines.
  `void`
  `setDocumentProtection​(DocumentProtection documentProtection)`
  Sets the document protection.
  `void`
  `setDocumentRevisions​(DocumentRevisions documentRevisions)`
  Sets the document revisions.
  `void`
  `setDocumentType​(DocumentType documentType)`
  Sets the document type.
  `void`
  `setDoNotAutoCompressPictures​(ExtendedBoolean doNotAutoCompressPictures)`
  Sets the do not auto compress pictures.
  `void`
  `setDoNotDemarcateInvalidXml​(ExtendedBoolean doNotDemarcateInvalidXml)`
  Sets the do not demarcate invalid xml.
  `void`
  `setDoNotDisplayPageBoundaries​(ExtendedBoolean doNotDisplayPageBoundaries)`
  Sets the do not display page boundaries.
  `void`
  `setDoNotEmbedSmartTags​(ExtendedBoolean doNotEmbedSmartTags)`
  Sets the do not embed smart tags.
  `void`
  `setDoNotHyphenateCaps​(ExtendedBoolean doNotHyphenateCaps)`
  Sets the do not hyphenate caps.
  `void`
  `setDoNotIncludeSubdocumentsInStatistics​(ExtendedBoolean doNotIncludeSubdocumentsInStatistics)`
  Sets the do not include subdocuments in statistics.
  `void`
  `setDoNotShadeFormData​(ExtendedBoolean doNotShadeFormData)`
  Sets the do not shade form data.
  `void`
  `setDoNotTrackFormatting​(ExtendedBoolean doNotTrackFormatting)`
  Sets the do not track formatting.
  `void`
  `setDoNotTrackMoves​(ExtendedBoolean doNotTrackMoves)`
  Sets the do not track moves.
  `void`
  `setDoNotUseMarginsForDrawingGridOrigin​(ExtendedBoolean doNotUseMarginsForDrawingGridOrigin)`
  Sets the do not use margins for drawing grid origin.
  `void`
  `setDoNotValidateAgainstSchema​(ExtendedBoolean doNotValidateAgainstSchema)`
  Sets the do not validate against schema.
  `void`
  `setDrawingGridHorizontalOrigin​(int drawingGridHorizontalOrigin)`
  Sets the drawing grid horizontal origin.
  `void`
  `setDrawingGridHorizontalSpacing​(int drawingGridHorizontalSpacing)`
  Sets the drawing grid horizontal spacing.
  `void`
  `setDrawingGridVerticalOrigin​(int drawingGridVerticalOrigin)`
  Sets the drawing grid vertical origin.
  `void`
  `setDrawingGridVerticalSpacing​(int drawingGridVerticalSpacing)`
  Sets the drawing grid vertical spacing.
  `void`
  `setEmbedSystemFonts​(ExtendedBoolean embedSystemFonts)`
  Sets the embed system fonts.
  `void`
  `setEmbedTRUETypeFonts​(ExtendedBoolean embedTRUETypeFonts)`
  Sets the embed true type fonts.
  `void`
  `setEvenAndOddHeadersAndFooters​(ExtendedBoolean evenAndOddHeadersAndFooters)`
  Sets the even and odd headers and footers.
  `void`
  `setForceUpgrade​(boolean forceUpgrade)`
  Sets the force upgrade.
  `void`
  `setFormsDesign​(ExtendedBoolean formsDesign)`
  Sets the forms design.
  `void`
  `setGutterAtTop​(ExtendedBoolean gutterAtTop)`
  Sets the gutter at top.
  `void`
  `setHideGrammaticalErrors​(ExtendedBoolean hideGrammaticalErrors)`
  Sets the hide grammatical errors.
  `void`
  `setHideSpellingErrors​(ExtendedBoolean hideSpellingErrors)`
  Sets the hide spelling errors.
  `void`
  `setHyphenationZone​(int hyphenationZone)`
  Sets the hyphenation zone.
  `void`
  `setIgnoreMixedContent​(ExtendedBoolean ignoreMixedContent)`
  Sets the ignore mixed content.
  `void`
  `setLinkStyles​(ExtendedBoolean linkStyles)`
  Sets the link styles.
  `void`
  `setListSeparator​(String listSeparator)`
  Sets the list separator.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the settings root.
  `void`
  `setMaxConsecutivelyHyphenatedLines​(int maxConsecutivelyHyphenatedLines)`
  Sets the max consecutively hyphenated lines.
  `void`
  `setMirrorMargins​(ExtendedBoolean mirrorMargins)`
  Sets the mirror margins.
  `void`
  `setNoPunctuationKerning​(ExtendedBoolean noPunctuationKerning)`
  Sets the no punctuation kerning.
  `void`
  `setPreservedElements​(List<RawXmlElement> preservedElements)`
  Sets the settings-level elements preserved verbatim for round-trip fidelity.
  `void`
  `setPrintFormsData​(ExtendedBoolean printFormsData)`
  Sets the prints the forms data.
  `void`
  `setPrintFractionalCharacterWidth​(ExtendedBoolean printFractionalCharacterWidth)`
  Sets the prints the fractional character width.
  `void`
  `setPrintPostScriptOverText​(ExtendedBoolean printPostScriptOverText)`
  Sets the prints the post script over text.
  `void`
  `setPrintTwoPagesPerSheet​(ExtendedBoolean printTwoPagesPerSheet)`
  Sets the prints the two pages per sheet.
  `void`
  `setProofState​(ProofState proofState)`
  Sets the proof state.
  `void`
  `setRemoveDateAndTime​(ExtendedBoolean removeDateAndTime)`
  Sets the removes the date and time.
  `void`
  `setRemovePersonalInformation​(ExtendedBoolean removePersonalInformation)`
  Sets the removes the personal information.
  `void`
  `setReverseBookFoldPrinting​(ExtendedBoolean reverseBookFoldPrinting)`
  Sets the reverse book fold printing.
  `void`
  `setSaveFormsData​(ExtendedBoolean saveFormsData)`
  Sets the save forms data.
  `void`
  `setSaveInvalidXml​(ExtendedBoolean saveInvalidXml)`
  Sets the save invalid xml.
  `void`
  `setSavePreviewPicture​(ExtendedBoolean savePreviewPicture)`
  Sets the save preview picture.
  `void`
  `setSaveSubsetFonts​(ExtendedBoolean saveSubsetFonts)`
  Sets the save subset fonts.
  `void`
  `setSaveXmlDataOnly​(ExtendedBoolean saveXmlDataOnly)`
  Sets the save xml data only.
  `void`
  `setShowEnvelope​(ExtendedBoolean showEnvelope)`
  Sets the show envelope.
  `void`
  `setShowXmlTags​(ExtendedBoolean showXmlTags)`
  Sets the show xml tags.
  `void`
  `setStrictFirstAndLastChars​(ExtendedBoolean strictFirstAndLastChars)`
  Sets the strict first and last chars.
  `void`
  `setStyleLockQFSet​(ExtendedBoolean styleLockQFSet)`
  Sets the style lock qf set.
  `void`
  `setStyleLockTheme​(ExtendedBoolean styleLockTheme)`
  Sets the style lock theme.
  `void`
  `setStylePaneFormatFilter​(String stylePaneFormatFilter)`
  Sets the style pane format filter.
  `void`
  `setStylePaneFormatFilterAttributes​(LinkedHashMap<String,​String> stylePaneFormatFilterAttributes)`
  Sets the modern on/off attributes of w:stylePaneFormatFilter.
  `void`
  `setStylePaneSortMethod​(String stylePaneSortMethod)`
  Sets the style pane sort method.
  `void`
  `setSummaryLength​(int summaryLength)`
  Sets the summary length.
  `void`
  `setThemeColorMapping​(ThemeColorMapping themeColorMapping)`
  Sets the theme color mapping.
  `void`
  `setThemeFontLanguage​(ThemeFontLanguage themeFontLanguage)`
  Sets the theme font language.
  `void`
  `setTrackRevisions​(ExtendedBoolean trackRevisions)`
  Sets the track revisions.
  `void`
  `setUICompat97To2003​(ExtendedBoolean uiCompat97To2003)`
  Sets the uI compat97 to2003.
  `void`
  `setUpdateFields​(ExtendedBoolean updateFields)`
  Sets the update fields.
  `void`
  `setUseXsltWhenSaving​(ExtendedBoolean useXsltWhenSaving)`
  Sets the use xslt when saving.
  `void`
  `setView​(DocumentView view)`
  Sets the view.
  `void`
  `setWriteProtection​(WriteProtection writeProtection)`
  Sets the write protection.
  `void`
  `setZoom​(Zoom zoom)`
  Sets the zoom.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Settings

    public Settings()
    Instantiates a new settings.

  - ### Settings

    public Settings​(byte[] buffer, Relationship relationship) throws XMLStreamException
    Instantiates a new settings.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Settings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getWritingStyles

    public List<WritingStyle> getWritingStyles()
    Gets the writing styles.
    Returns:
      the writing styles

  - ### getPreservedElements

    public List<RawXmlElement> getPreservedElements()
    Gets the settings-level elements preserved verbatim for round-trip fidelity (VML drawing defaults `w:shapeDefaults`, `w:hdrShapeDefaults`, and `w14:docId` / `w15:docId` / `w15:chartTrackingRefBased`).
    Returns:
      the preserved elements

  - ### setPreservedElements

    public void setPreservedElements​(List<RawXmlElement> preservedElements)
    Sets the settings-level elements preserved verbatim for round-trip fidelity.
    Parameters:
      `preservedElements` - the new preserved elements

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the settings root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the settings root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value

  - ### getAlignBordersAndEdges

    public ExtendedBoolean getAlignBordersAndEdges()
    Gets the align borders and edges.
    Returns:
      the align borders and edges

  - ### setAlignBordersAndEdges

    public void setAlignBordersAndEdges​(ExtendedBoolean alignBordersAndEdges)
    Sets the align borders and edges.
    Parameters:
      `alignBordersAndEdges` - the new align borders and edges

  - ### getAlwaysMergeEmptyNamespace

    public ExtendedBoolean getAlwaysMergeEmptyNamespace()
    Gets the always merge empty namespace.
    Returns:
      the always merge empty namespace

  - ### setAlwaysMergeEmptyNamespace

    public void setAlwaysMergeEmptyNamespace​(ExtendedBoolean alwaysMergeEmptyNamespace)
    Sets the always merge empty namespace.
    Parameters:
      `alwaysMergeEmptyNamespace` - the new always merge empty namespace

  - ### getAlwaysShowPlaceholderText

    public ExtendedBoolean getAlwaysShowPlaceholderText()
    Gets the always show placeholder text.
    Returns:
      the always show placeholder text

  - ### setAlwaysShowPlaceholderText

    public void setAlwaysShowPlaceholderText​(ExtendedBoolean alwaysShowPlaceholderText)
    Sets the always show placeholder text.
    Parameters:
      `alwaysShowPlaceholderText` - the new always show placeholder text

  - ### getAttachedCustomXmlSchemas

    public List<AttachedCustomXmlSchema> getAttachedCustomXmlSchemas()
    Gets the attached custom xml schemas.
    Returns:
      the attached custom xml schemas

  - ### getAutoFormatOverride

    public ExtendedBoolean getAutoFormatOverride()
    Gets the auto format override.
    Returns:
      the auto format override

  - ### setAutoFormatOverride

    public void setAutoFormatOverride​(ExtendedBoolean autoFormatOverride)
    Sets the auto format override.
    Parameters:
      `autoFormatOverride` - the new auto format override

  - ### getAutoHyphenation

    public ExtendedBoolean getAutoHyphenation()
    Gets the auto hyphenation.
    Returns:
      the auto hyphenation

  - ### setAutoHyphenation

    public void setAutoHyphenation​(ExtendedBoolean autoHyphenation)
    Sets the auto hyphenation.
    Parameters:
      `autoHyphenation` - the new auto hyphenation

  - ### getBookFoldPrinting

    public ExtendedBoolean getBookFoldPrinting()
    Gets the book fold printing.
    Returns:
      the book fold printing

  - ### setBookFoldPrinting

    public void setBookFoldPrinting​(ExtendedBoolean bookFoldPrinting)
    Sets the book fold printing.
    Parameters:
      `bookFoldPrinting` - the new book fold printing

  - ### getBookFoldPrintingSheets

    public int getBookFoldPrintingSheets()
    Gets the book fold printing sheets.
    Returns:
      the book fold printing sheets

  - ### setBookFoldPrintingSheets

    public void setBookFoldPrintingSheets​(int bookFoldPrintingSheets)
    Sets the book fold printing sheets.
    Parameters:
      `bookFoldPrintingSheets` - the new book fold printing sheets

  - ### getReverseBookFoldPrinting

    public ExtendedBoolean getReverseBookFoldPrinting()
    Gets the reverse book fold printing.
    Returns:
      the reverse book fold printing

  - ### setReverseBookFoldPrinting

    public void setReverseBookFoldPrinting​(ExtendedBoolean reverseBookFoldPrinting)
    Sets the reverse book fold printing.
    Parameters:
      `reverseBookFoldPrinting` - the new reverse book fold printing

  - ### getBordersDoNotSurroundFooter

    public ExtendedBoolean getBordersDoNotSurroundFooter()
    Gets the borders do not surround footer.
    Returns:
      the borders do not surround footer

  - ### setBordersDoNotSurroundFooter

    public void setBordersDoNotSurroundFooter​(ExtendedBoolean bordersDoNotSurroundFooter)
    Sets the borders do not surround footer.
    Parameters:
      `bordersDoNotSurroundFooter` - the new borders do not surround footer

  - ### getBordersDoNotSurroundHeader

    public ExtendedBoolean getBordersDoNotSurroundHeader()
    Gets the borders do not surround header.
    Returns:
      the borders do not surround header

  - ### setBordersDoNotSurroundHeader

    public void setBordersDoNotSurroundHeader​(ExtendedBoolean bordersDoNotSurroundHeader)
    Sets the borders do not surround header.
    Parameters:
      `bordersDoNotSurroundHeader` - the new borders do not surround header

  - ### getCaptionSettings

    public CaptionSettings getCaptionSettings()
    Gets the caption settings.
    Returns:
      the caption settings

  - ### getCompatibilitySettings

    public CompatibilitySettings getCompatibilitySettings()
    Gets the compatibility settings.
    Returns:
      the compatibility settings

  - ### getCharacterSpacing

    public CharacterSpacing getCharacterSpacing()
    Gets the character spacing.
    Returns:
      the character spacing

  - ### setCharacterSpacing

    public void setCharacterSpacing​(CharacterSpacing characterSpacing)
    Sets the character spacing.
    Parameters:
      `characterSpacing` - the new character spacing

  - ### getClickAndTypeStyle

    public String getClickAndTypeStyle()
    Gets the click and type style.
    Returns:
      the click and type style

  - ### setClickAndTypeStyle

    public void setClickAndTypeStyle​(String clickAndTypeStyle)
    Sets the click and type style.
    Parameters:
      `clickAndTypeStyle` - the new click and type style

  - ### getThemeColorMapping

    public ThemeColorMapping getThemeColorMapping()
    Gets the theme color mapping.
    Returns:
      the theme color mapping

  - ### setThemeColorMapping

    public void setThemeColorMapping​(ThemeColorMapping themeColorMapping)
    Sets the theme color mapping.
    Parameters:
      `themeColorMapping` - the new theme color mapping

  - ### getMaxConsecutivelyHyphenatedLines

    public int getMaxConsecutivelyHyphenatedLines()
    Gets the max consecutively hyphenated lines.
    Returns:
      the max consecutively hyphenated lines

  - ### setMaxConsecutivelyHyphenatedLines

    public void setMaxConsecutivelyHyphenatedLines​(int maxConsecutivelyHyphenatedLines)
    Sets the max consecutively hyphenated lines.
    Parameters:
      `maxConsecutivelyHyphenatedLines` - the new max consecutively hyphenated lines

  - ### getDecimalSymbol

    public String getDecimalSymbol()
    Gets the decimal symbol.
    Returns:
      the decimal symbol

  - ### setDecimalSymbol

    public void setDecimalSymbol​(String decimalSymbol)
    Sets the decimal symbol.
    Parameters:
      `decimalSymbol` - the new decimal symbol

  - ### getDefaultTableStyle

    public String getDefaultTableStyle()
    Gets the default table style.
    Returns:
      the default table style

  - ### setDefaultTableStyle

    public void setDefaultTableStyle​(String defaultTableStyle)
    Sets the default table style.
    Parameters:
      `defaultTableStyle` - the new default table style

  - ### getDefaultTab

    public int getDefaultTab()
    Gets the default tab.
    Returns:
      the default tab

  - ### setDefaultTab

    public void setDefaultTab​(int defaultTab)
    Sets the default tab.
    Parameters:
      `defaultTab` - the new default tab

  - ### getDisplayBackgroundShape

    public ExtendedBoolean getDisplayBackgroundShape()
    Gets the display background shape.
    Returns:
      the display background shape

  - ### setDisplayBackgroundShape

    public void setDisplayBackgroundShape​(ExtendedBoolean displayBackgroundShape)
    Sets the display background shape.
    Parameters:
      `displayBackgroundShape` - the new display background shape

  - ### getDistanceBetweenHorizontalGridlines

    public int getDistanceBetweenHorizontalGridlines()
    Gets the distance between horizontal gridlines.
    Returns:
      the distance between horizontal gridlines

  - ### setDistanceBetweenHorizontalGridlines

    public void setDistanceBetweenHorizontalGridlines​(int distanceBetweenHorizontalGridlines)
    Sets the distance between horizontal gridlines.
    Parameters:
      `distanceBetweenHorizontalGridlines` - the new distance between horizontal gridlines

  - ### getDistanceBetweenVerticalGridlines

    public int getDistanceBetweenVerticalGridlines()
    Gets the distance between vertical gridlines.
    Returns:
      the distance between vertical gridlines

  - ### setDistanceBetweenVerticalGridlines

    public void setDistanceBetweenVerticalGridlines​(int distanceBetweenVerticalGridlines)
    Sets the distance between vertical gridlines.
    Parameters:
      `distanceBetweenVerticalGridlines` - the new distance between vertical gridlines

  - ### getDocumentProtection

    public DocumentProtection getDocumentProtection()
    Gets the document protection.
    Returns:
      the document protection

  - ### setDocumentProtection

    public void setDocumentProtection​(DocumentProtection documentProtection)
    Sets the document protection.
    Parameters:
      `documentProtection` - the new document protection

  - ### getDocumentType

    public DocumentType getDocumentType()
    Gets the document type.
    Returns:
      the document type

  - ### setDocumentType

    public void setDocumentType​(DocumentType documentType)
    Sets the document type.
    Parameters:
      `documentType` - the new document type

  - ### getDocumentVariables

    public List<DocumentVariable> getDocumentVariables()
    Gets the document variables.
    Returns:
      the document variables

  - ### getDoNotAutoCompressPictures

    public ExtendedBoolean getDoNotAutoCompressPictures()
    Gets the do not auto compress pictures.
    Returns:
      the do not auto compress pictures

  - ### setDoNotAutoCompressPictures

    public void setDoNotAutoCompressPictures​(ExtendedBoolean doNotAutoCompressPictures)
    Sets the do not auto compress pictures.
    Parameters:
      `doNotAutoCompressPictures` - the new do not auto compress pictures

  - ### getDoNotDemarcateInvalidXml

    public ExtendedBoolean getDoNotDemarcateInvalidXml()
    Gets the do not demarcate invalid xml.
    Returns:
      the do not demarcate invalid xml

  - ### setDoNotDemarcateInvalidXml

    public void setDoNotDemarcateInvalidXml​(ExtendedBoolean doNotDemarcateInvalidXml)
    Sets the do not demarcate invalid xml.
    Parameters:
      `doNotDemarcateInvalidXml` - the new do not demarcate invalid xml

  - ### getDoNotDisplayPageBoundaries

    public ExtendedBoolean getDoNotDisplayPageBoundaries()
    Gets the do not display page boundaries.
    Returns:
      the do not display page boundaries

  - ### setDoNotDisplayPageBoundaries

    public void setDoNotDisplayPageBoundaries​(ExtendedBoolean doNotDisplayPageBoundaries)
    Sets the do not display page boundaries.
    Parameters:
      `doNotDisplayPageBoundaries` - the new do not display page boundaries

  - ### getDoNotEmbedSmartTags

    public ExtendedBoolean getDoNotEmbedSmartTags()
    Gets the do not embed smart tags.
    Returns:
      the do not embed smart tags

  - ### setDoNotEmbedSmartTags

    public void setDoNotEmbedSmartTags​(ExtendedBoolean doNotEmbedSmartTags)
    Sets the do not embed smart tags.
    Parameters:
      `doNotEmbedSmartTags` - the new do not embed smart tags

  - ### getDoNotHyphenateCaps

    public ExtendedBoolean getDoNotHyphenateCaps()
    Gets the do not hyphenate caps.
    Returns:
      the do not hyphenate caps

  - ### setDoNotHyphenateCaps

    public void setDoNotHyphenateCaps​(ExtendedBoolean doNotHyphenateCaps)
    Sets the do not hyphenate caps.
    Parameters:
      `doNotHyphenateCaps` - the new do not hyphenate caps

  - ### getDoNotIncludeSubdocumentsInStatistics

    public ExtendedBoolean getDoNotIncludeSubdocumentsInStatistics()
    Gets the do not include subdocuments in statistics.
    Returns:
      the do not include subdocuments in statistics

  - ### setDoNotIncludeSubdocumentsInStatistics

    public void setDoNotIncludeSubdocumentsInStatistics​(ExtendedBoolean doNotIncludeSubdocumentsInStatistics)
    Sets the do not include subdocuments in statistics.
    Parameters:
      `doNotIncludeSubdocumentsInStatistics` - the new do not include subdocuments in statistics

  - ### getDoNotShadeFormData

    public ExtendedBoolean getDoNotShadeFormData()
    Gets the do not shade form data.
    Returns:
      the do not shade form data

  - ### setDoNotShadeFormData

    public void setDoNotShadeFormData​(ExtendedBoolean doNotShadeFormData)
    Sets the do not shade form data.
    Parameters:
      `doNotShadeFormData` - the new do not shade form data

  - ### getDoNotTrackFormatting

    public ExtendedBoolean getDoNotTrackFormatting()
    Gets the do not track formatting.
    Returns:
      the do not track formatting

  - ### setDoNotTrackFormatting

    public void setDoNotTrackFormatting​(ExtendedBoolean doNotTrackFormatting)
    Sets the do not track formatting.
    Parameters:
      `doNotTrackFormatting` - the new do not track formatting

  - ### getDoNotTrackMoves

    public ExtendedBoolean getDoNotTrackMoves()
    Gets the do not track moves.
    Returns:
      the do not track moves

  - ### setDoNotTrackMoves

    public void setDoNotTrackMoves​(ExtendedBoolean doNotTrackMoves)
    Sets the do not track moves.
    Parameters:
      `doNotTrackMoves` - the new do not track moves

  - ### getDoNotUseMarginsForDrawingGridOrigin

    public ExtendedBoolean getDoNotUseMarginsForDrawingGridOrigin()
    Gets the do not use margins for drawing grid origin.
    Returns:
      the do not use margins for drawing grid origin

  - ### setDoNotUseMarginsForDrawingGridOrigin

    public void setDoNotUseMarginsForDrawingGridOrigin​(ExtendedBoolean doNotUseMarginsForDrawingGridOrigin)
    Sets the do not use margins for drawing grid origin.
    Parameters:
      `doNotUseMarginsForDrawingGridOrigin` - the new do not use margins for drawing grid origin

  - ### getDoNotValidateAgainstSchema

    public ExtendedBoolean getDoNotValidateAgainstSchema()
    Gets the do not validate against schema.
    Returns:
      the do not validate against schema

  - ### setDoNotValidateAgainstSchema

    public void setDoNotValidateAgainstSchema​(ExtendedBoolean doNotValidateAgainstSchema)
    Sets the do not validate against schema.
    Parameters:
      `doNotValidateAgainstSchema` - the new do not validate against schema

  - ### getDrawingGridHorizontalOrigin

    public int getDrawingGridHorizontalOrigin()
    Gets the drawing grid horizontal origin.
    Returns:
      the drawing grid horizontal origin

  - ### setDrawingGridHorizontalOrigin

    public void setDrawingGridHorizontalOrigin​(int drawingGridHorizontalOrigin)
    Sets the drawing grid horizontal origin.
    Parameters:
      `drawingGridHorizontalOrigin` - the new drawing grid horizontal origin

  - ### getDrawingGridHorizontalSpacing

    public int getDrawingGridHorizontalSpacing()
    Gets the drawing grid horizontal spacing.
    Returns:
      the drawing grid horizontal spacing

  - ### setDrawingGridHorizontalSpacing

    public void setDrawingGridHorizontalSpacing​(int drawingGridHorizontalSpacing)
    Sets the drawing grid horizontal spacing.
    Parameters:
      `drawingGridHorizontalSpacing` - the new drawing grid horizontal spacing

  - ### getDrawingGridVerticalOrigin

    public int getDrawingGridVerticalOrigin()
    Gets the drawing grid vertical origin.
    Returns:
      the drawing grid vertical origin

  - ### setDrawingGridVerticalOrigin

    public void setDrawingGridVerticalOrigin​(int drawingGridVerticalOrigin)
    Sets the drawing grid vertical origin.
    Parameters:
      `drawingGridVerticalOrigin` - the new drawing grid vertical origin

  - ### getDrawingGridVerticalSpacing

    public int getDrawingGridVerticalSpacing()
    Gets the drawing grid vertical spacing.
    Returns:
      the drawing grid vertical spacing

  - ### setDrawingGridVerticalSpacing

    public void setDrawingGridVerticalSpacing​(int drawingGridVerticalSpacing)
    Sets the drawing grid vertical spacing.
    Parameters:
      `drawingGridVerticalSpacing` - the new drawing grid vertical spacing

  - ### getEmbedSystemFonts

    public ExtendedBoolean getEmbedSystemFonts()
    Gets the embed system fonts.
    Returns:
      the embed system fonts

  - ### setEmbedSystemFonts

    public void setEmbedSystemFonts​(ExtendedBoolean embedSystemFonts)
    Sets the embed system fonts.
    Parameters:
      `embedSystemFonts` - the new embed system fonts

  - ### getEmbedTRUETypeFonts

    public ExtendedBoolean getEmbedTRUETypeFonts()
    Gets the embed true type fonts.
    Returns:
      the embed true type fonts

  - ### setEmbedTRUETypeFonts

    public void setEmbedTRUETypeFonts​(ExtendedBoolean embedTRUETypeFonts)
    Sets the embed true type fonts.
    Parameters:
      `embedTRUETypeFonts` - the new embed true type fonts

  - ### getEndnoteProperties

    public EndnoteProperties getEndnoteProperties()
    Gets the endnote properties.
    Returns:
      the endnote properties

  - ### getEvenAndOddHeadersAndFooters

    public ExtendedBoolean getEvenAndOddHeadersAndFooters()
    Gets the even and odd headers and footers.
    Returns:
      the even and odd headers and footers

  - ### setEvenAndOddHeadersAndFooters

    public void setEvenAndOddHeadersAndFooters​(ExtendedBoolean evenAndOddHeadersAndFooters)
    Sets the even and odd headers and footers.
    Parameters:
      `evenAndOddHeadersAndFooters` - the new even and odd headers and footers

  - ### getFootnoteProperties

    public FootnoteProperties getFootnoteProperties()
    Gets the footnote properties.
    Returns:
      the footnote properties

  - ### getForceUpgrade

    public boolean getForceUpgrade()
    Gets the force upgrade.
    Returns:
      the force upgrade

  - ### setForceUpgrade

    public void setForceUpgrade​(boolean forceUpgrade)
    Sets the force upgrade.
    Parameters:
      `forceUpgrade` - the new force upgrade

  - ### getFormsDesign

    public ExtendedBoolean getFormsDesign()
    Gets the forms design.
    Returns:
      the forms design

  - ### setFormsDesign

    public void setFormsDesign​(ExtendedBoolean formsDesign)
    Sets the forms design.
    Parameters:
      `formsDesign` - the new forms design

  - ### getGutterAtTop

    public ExtendedBoolean getGutterAtTop()
    Gets the gutter at top.
    Returns:
      the gutter at top

  - ### setGutterAtTop

    public void setGutterAtTop​(ExtendedBoolean gutterAtTop)
    Sets the gutter at top.
    Parameters:
      `gutterAtTop` - the new gutter at top

  - ### getHideGrammaticalErrors

    public ExtendedBoolean getHideGrammaticalErrors()
    Gets the hide grammatical errors.
    Returns:
      the hide grammatical errors

  - ### setHideGrammaticalErrors

    public void setHideGrammaticalErrors​(ExtendedBoolean hideGrammaticalErrors)
    Sets the hide grammatical errors.
    Parameters:
      `hideGrammaticalErrors` - the new hide grammatical errors

  - ### getHideSpellingErrors

    public ExtendedBoolean getHideSpellingErrors()
    Gets the hide spelling errors.
    Returns:
      the hide spelling errors

  - ### setHideSpellingErrors

    public void setHideSpellingErrors​(ExtendedBoolean hideSpellingErrors)
    Sets the hide spelling errors.
    Parameters:
      `hideSpellingErrors` - the new hide spelling errors

  - ### getHyphenationZone

    public int getHyphenationZone()
    Gets the hyphenation zone.
    Returns:
      the hyphenation zone

  - ### setHyphenationZone

    public void setHyphenationZone​(int hyphenationZone)
    Sets the hyphenation zone.
    Parameters:
      `hyphenationZone` - the new hyphenation zone

  - ### getIgnoreMixedContent

    public ExtendedBoolean getIgnoreMixedContent()
    Gets the ignore mixed content.
    Returns:
      the ignore mixed content

  - ### setIgnoreMixedContent

    public void setIgnoreMixedContent​(ExtendedBoolean ignoreMixedContent)
    Sets the ignore mixed content.
    Parameters:
      `ignoreMixedContent` - the new ignore mixed content

  - ### getLinkStyles

    public ExtendedBoolean getLinkStyles()
    Gets the link styles.
    Returns:
      the link styles

  - ### setLinkStyles

    public void setLinkStyles​(ExtendedBoolean linkStyles)
    Sets the link styles.
    Parameters:
      `linkStyles` - the new link styles

  - ### getListSeparator

    public String getListSeparator()
    Gets the list separator.
    Returns:
      the list separator

  - ### setListSeparator

    public void setListSeparator​(String listSeparator)
    Sets the list separator.
    Parameters:
      `listSeparator` - the new list separator

  - ### getMailMergeSettings

    public MailMergeSettings getMailMergeSettings()
    Gets the mail merge settings.
    Returns:
      the mail merge settings

  - ### getMathProperties

    public MathProperties getMathProperties()
    Gets the math properties.
    Returns:
      the math properties

  - ### getMirrorMargins

    public ExtendedBoolean getMirrorMargins()
    Gets the mirror margins.
    Returns:
      the mirror margins

  - ### setMirrorMargins

    public void setMirrorMargins​(ExtendedBoolean mirrorMargins)
    Sets the mirror margins.
    Parameters:
      `mirrorMargins` - the new mirror margins

  - ### getNoPunctuationKerning

    public ExtendedBoolean getNoPunctuationKerning()
    Gets the no punctuation kerning.
    Returns:
      the no punctuation kerning

  - ### setNoPunctuationKerning

    public void setNoPunctuationKerning​(ExtendedBoolean noPunctuationKerning)
    Sets the no punctuation kerning.
    Parameters:
      `noPunctuationKerning` - the new no punctuation kerning

  - ### getPrintFormsData

    public ExtendedBoolean getPrintFormsData()
    Gets the prints the forms data.
    Returns:
      the prints the forms data

  - ### setPrintFormsData

    public void setPrintFormsData​(ExtendedBoolean printFormsData)
    Sets the prints the forms data.
    Parameters:
      `printFormsData` - the new prints the forms data

  - ### getPrintFractionalCharacterWidth

    public ExtendedBoolean getPrintFractionalCharacterWidth()
    Gets the prints the fractional character width.
    Returns:
      the prints the fractional character width

  - ### setPrintFractionalCharacterWidth

    public void setPrintFractionalCharacterWidth​(ExtendedBoolean printFractionalCharacterWidth)
    Sets the prints the fractional character width.
    Parameters:
      `printFractionalCharacterWidth` - the new prints the fractional character width

  - ### getPrintPostScriptOverText

    public ExtendedBoolean getPrintPostScriptOverText()
    Gets the prints the post script over text.
    Returns:
      the prints the post script over text

  - ### setPrintPostScriptOverText

    public void setPrintPostScriptOverText​(ExtendedBoolean printPostScriptOverText)
    Sets the prints the post script over text.
    Parameters:
      `printPostScriptOverText` - the new prints the post script over text

  - ### getPrintTwoPagesPerSheet

    public ExtendedBoolean getPrintTwoPagesPerSheet()
    Gets the prints the two pages per sheet.
    Returns:
      the prints the two pages per sheet

  - ### setPrintTwoPagesPerSheet

    public void setPrintTwoPagesPerSheet​(ExtendedBoolean printTwoPagesPerSheet)
    Sets the prints the two pages per sheet.
    Parameters:
      `printTwoPagesPerSheet` - the new prints the two pages per sheet

  - ### getRemoveDateAndTime

    public ExtendedBoolean getRemoveDateAndTime()
    Gets the removes the date and time.
    Returns:
      the removes the date and time

  - ### setRemoveDateAndTime

    public void setRemoveDateAndTime​(ExtendedBoolean removeDateAndTime)
    Sets the removes the date and time.
    Parameters:
      `removeDateAndTime` - the new removes the date and time

  - ### getRemovePersonalInformation

    public ExtendedBoolean getRemovePersonalInformation()
    Gets the removes the personal information.
    Returns:
      the removes the personal information

  - ### setRemovePersonalInformation

    public void setRemovePersonalInformation​(ExtendedBoolean removePersonalInformation)
    Sets the removes the personal information.
    Parameters:
      `removePersonalInformation` - the new removes the personal information

  - ### getDocumentRevisions

    public DocumentRevisions getDocumentRevisions()
    Gets the document revisions.
    Returns:
      the document revisions

  - ### setDocumentRevisions

    public void setDocumentRevisions​(DocumentRevisions documentRevisions)
    Sets the document revisions.
    Parameters:
      `documentRevisions` - the new document revisions

  - ### getSaveFormsData

    public ExtendedBoolean getSaveFormsData()
    Gets the save forms data.
    Returns:
      the save forms data

  - ### setSaveFormsData

    public void setSaveFormsData​(ExtendedBoolean saveFormsData)
    Sets the save forms data.
    Parameters:
      `saveFormsData` - the new save forms data

  - ### getSaveInvalidXml

    public ExtendedBoolean getSaveInvalidXml()
    Gets the save invalid xml.
    Returns:
      the save invalid xml

  - ### setSaveInvalidXml

    public void setSaveInvalidXml​(ExtendedBoolean saveInvalidXml)
    Sets the save invalid xml.
    Parameters:
      `saveInvalidXml` - the new save invalid xml

  - ### getSavePreviewPicture

    public ExtendedBoolean getSavePreviewPicture()
    Gets the save preview picture.
    Returns:
      the save preview picture

  - ### setSavePreviewPicture

    public void setSavePreviewPicture​(ExtendedBoolean savePreviewPicture)
    Sets the save preview picture.
    Parameters:
      `savePreviewPicture` - the new save preview picture

  - ### getSaveSubsetFonts

    public ExtendedBoolean getSaveSubsetFonts()
    Gets the save subset fonts.
    Returns:
      the save subset fonts

  - ### setSaveSubsetFonts

    public void setSaveSubsetFonts​(ExtendedBoolean saveSubsetFonts)
    Sets the save subset fonts.
    Parameters:
      `saveSubsetFonts` - the new save subset fonts

  - ### getSaveXmlDataOnly

    public ExtendedBoolean getSaveXmlDataOnly()
    Gets the save xml data only.
    Returns:
      the save xml data only

  - ### setSaveXmlDataOnly

    public void setSaveXmlDataOnly​(ExtendedBoolean saveXmlDataOnly)
    Sets the save xml data only.
    Parameters:
      `saveXmlDataOnly` - the new save xml data only

  - ### getShowEnvelope

    public ExtendedBoolean getShowEnvelope()
    Gets the show envelope.
    Returns:
      the show envelope

  - ### setShowEnvelope

    public void setShowEnvelope​(ExtendedBoolean showEnvelope)
    Sets the show envelope.
    Parameters:
      `showEnvelope` - the new show envelope

  - ### getShowXmlTags

    public ExtendedBoolean getShowXmlTags()
    Gets the show xml tags.
    Returns:
      the show xml tags

  - ### setShowXmlTags

    public void setShowXmlTags​(ExtendedBoolean showXmlTags)
    Sets the show xml tags.
    Parameters:
      `showXmlTags` - the new show xml tags

  - ### getSmartTagTypes

    public List<SmartTagType> getSmartTagTypes()
    Gets the smart tag types.
    Returns:
      the smart tag types

  - ### getStrictFirstAndLastChars

    public ExtendedBoolean getStrictFirstAndLastChars()
    Gets the strict first and last chars.
    Returns:
      the strict first and last chars

  - ### setStrictFirstAndLastChars

    public void setStrictFirstAndLastChars​(ExtendedBoolean strictFirstAndLastChars)
    Sets the strict first and last chars.
    Parameters:
      `strictFirstAndLastChars` - the new strict first and last chars

  - ### getStyleLockQFSet

    public ExtendedBoolean getStyleLockQFSet()
    Gets the style lock qf set.
    Returns:
      the style lock qf set

  - ### setStyleLockQFSet

    public void setStyleLockQFSet​(ExtendedBoolean styleLockQFSet)
    Sets the style lock qf set.
    Parameters:
      `styleLockQFSet` - the new style lock qf set

  - ### getStyleLockTheme

    public ExtendedBoolean getStyleLockTheme()
    Gets the style lock theme.
    Returns:
      the style lock theme

  - ### setStyleLockTheme

    public void setStyleLockTheme​(ExtendedBoolean styleLockTheme)
    Sets the style lock theme.
    Parameters:
      `styleLockTheme` - the new style lock theme

  - ### getStylePaneFormatFilter

    public String getStylePaneFormatFilter()
    Gets the style pane format filter.
    Returns:
      the style pane format filter

  - ### setStylePaneFormatFilter

    public void setStylePaneFormatFilter​(String stylePaneFormatFilter)
    Sets the style pane format filter.
    Parameters:
      `stylePaneFormatFilter` - the new style pane format filter

  - ### getStylePaneFormatFilterAttributes

    public LinkedHashMap<String,​String> getStylePaneFormatFilterAttributes()
    Gets the modern on/off attributes of w:stylePaneFormatFilter (keyed by local name, e.g. "visibleStyles" -> "0"), excluding the legacy w:val.
    Returns:
      the style-pane format-filter attributes

  - ### setStylePaneFormatFilterAttributes

    public void setStylePaneFormatFilterAttributes​(LinkedHashMap<String,​String> stylePaneFormatFilterAttributes)
    Sets the modern on/off attributes of w:stylePaneFormatFilter.
    Parameters:
      `stylePaneFormatFilterAttributes` - the new attributes

  - ### getStylePaneSortMethod

    public String getStylePaneSortMethod()
    Gets the style pane sort method.
    Returns:
      the style pane sort method

  - ### setStylePaneSortMethod

    public void setStylePaneSortMethod​(String stylePaneSortMethod)
    Sets the style pane sort method.
    Parameters:
      `stylePaneSortMethod` - the new style pane sort method

  - ### getSummaryLength

    public int getSummaryLength()
    Gets the summary length.
    Returns:
      the summary length

  - ### setSummaryLength

    public void setSummaryLength​(int summaryLength)
    Sets the summary length.
    Parameters:
      `summaryLength` - the new summary length

  - ### getThemeFontLanguage

    public ThemeFontLanguage getThemeFontLanguage()
    Gets the theme font language.
    Returns:
      the theme font language

  - ### setThemeFontLanguage

    public void setThemeFontLanguage​(ThemeFontLanguage themeFontLanguage)
    Sets the theme font language.
    Parameters:
      `themeFontLanguage` - the new theme font language

  - ### getTrackRevisions

    public ExtendedBoolean getTrackRevisions()
    Gets the track revisions.
    Returns:
      the track revisions

  - ### setTrackRevisions

    public void setTrackRevisions​(ExtendedBoolean trackRevisions)
    Sets the track revisions.
    Parameters:
      `trackRevisions` - the new track revisions

  - ### getUICompat97To2003

    public ExtendedBoolean getUICompat97To2003()
    Gets the uI compat97 to2003.
    Returns:
      the uI compat97 to2003

  - ### setUICompat97To2003

    public void setUICompat97To2003​(ExtendedBoolean uiCompat97To2003)
    Sets the uI compat97 to2003.
    Parameters:
      `uiCompat97To2003` - the new uI compat97 to2003

  - ### getUpdateFields

    public ExtendedBoolean getUpdateFields()
    Gets the update fields.
    Returns:
      the update fields

  - ### setUpdateFields

    public void setUpdateFields​(ExtendedBoolean updateFields)
    Sets the update fields.
    Parameters:
      `updateFields` - the new update fields

  - ### getUseXsltWhenSaving

    public ExtendedBoolean getUseXsltWhenSaving()
    Gets the use xslt when saving.
    Returns:
      the use xslt when saving

  - ### setUseXsltWhenSaving

    public void setUseXsltWhenSaving​(ExtendedBoolean useXsltWhenSaving)
    Sets the use xslt when saving.
    Parameters:
      `useXsltWhenSaving` - the new use xslt when saving

  - ### getView

    public DocumentView getView()
    Gets the view.
    Returns:
      the view

  - ### setView

    public void setView​(DocumentView view)
    Sets the view.
    Parameters:
      `view` - the new view

  - ### getWriteProtection

    public WriteProtection getWriteProtection()
    Gets the write protection.
    Returns:
      the write protection

  - ### setWriteProtection

    public void setWriteProtection​(WriteProtection writeProtection)
    Sets the write protection.
    Parameters:
      `writeProtection` - the new write protection

  - ### getZoom

    public Zoom getZoom()
    Gets the zoom.
    Returns:
      the zoom

  - ### setZoom

    public void setZoom​(Zoom zoom)
    Sets the zoom.
    Parameters:
      `zoom` - the new zoom

  - ### getProofState

    public ProofState getProofState()
    Gets the proof state.
    Returns:
      the proof state

  - ### setProofState

    public void setProofState​(ProofState proofState)
    Sets the proof state.
    Parameters:
      `proofState` - the new proof state

  - ### getAttachedTemplate

    public String getAttachedTemplate()
    Gets the attached template.
    Returns:
      the attached template

  - ### setAttachedTemplate

    public void setAttachedTemplate​(String attachedTemplate)
    Sets the attached template.
    Parameters:
      `attachedTemplate` - the new attached template